API Endpoints#
These are all the endpoints that an install of Xpublish with minimal configuration will serve.
plugin_info#
module_version#
info#
dataset_info#
- GET /datasets/{dataset_id}/#
Html Representation
Returns the xarray HTML representation of the dataset.
- Parameters:
dataset_id (string) – Unique ID of dataset
- Status Codes:
200 OK – Successful Response
422 Unprocessable Entity – Validation Error
- GET /datasets/{dataset_id}/keys#
List Keys
List of the keys in a dataset.
- Parameters:
dataset_id (string) – Unique ID of dataset
- Status Codes:
200 OK – Successful Response
422 Unprocessable Entity – Validation Error
- GET /datasets/{dataset_id}/dict#
To Dict
The full dataset as a dictionary.
- Parameters:
dataset_id (string) – Unique ID of dataset
- Status Codes:
200 OK – Successful Response
422 Unprocessable Entity – Validation Error
- GET /datasets/{dataset_id}/info#
Info
Dataset schema (close to the NCO-JSON schema).
- Parameters:
dataset_id (string) – Unique ID of dataset
- Status Codes:
200 OK – Successful Response
422 Unprocessable Entity – Validation Error
- GET /datasets/{dataset_id}/tree#
Tree Html
Returns the xarray HTML representation of the full DataTree.
- Parameters:
dataset_id (string) – Unique ID of dataset
- Status Codes:
200 OK – Successful Response
422 Unprocessable Entity – Validation Error
- GET /datasets/{dataset_id}/groups#
Groups
List of all group paths in the DataTree.
- Parameters:
dataset_id (string) – Unique ID of dataset
- Status Codes:
200 OK – Successful Response
422 Unprocessable Entity – Validation Error
- GET /datasets/{dataset_id}/groups/{group_path}/keys#
List Keys Group
List of the keys in a dataset.
- Parameters:
dataset_id (string) – Unique ID of dataset
- Status Codes:
200 OK – Successful Response
422 Unprocessable Entity – Validation Error
- GET /datasets/{dataset_id}/groups/{group_path}/dict#
To Dict Group
The full dataset as a dictionary.
- Parameters:
dataset_id (string) – Unique ID of dataset
- Status Codes:
200 OK – Successful Response
422 Unprocessable Entity – Validation Error
- GET /datasets/{dataset_id}/groups/{group_path}/info#
Info Group
Dataset schema (close to the NCO-JSON schema).
- Parameters:
dataset_id (string) – Unique ID of dataset
- Status Codes:
200 OK – Successful Response
422 Unprocessable Entity – Validation Error
- GET /datasets/{dataset_id}/groups/{group_path}#
Html Representation Group
Returns the xarray HTML representation of the dataset.
- Parameters:
dataset_id (string) – Unique ID of dataset
- Status Codes:
200 OK – Successful Response
422 Unprocessable Entity – Validation Error